Package: org.gradle

## [Java] Interface BuildListener

- A `BuildListener` is notified of the major lifecycle events as a build is executed.

  See Also:
    Gradle.addListener

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildFinished(BuildResult result)`
    `void` | `buildStarted(Gradle gradle)`
    `void` | `projectsEvaluated(Gradle gradle)`
    `void` | `projectsLoaded(Gradle gradle)`
    `void` | `settingsEvaluated(Settings settings)`

- - ### Method Detail

    - #### public void buildFinished(BuildResult result)

      Called when the build is completed. All selected tasks have been executed.

      Parameters:
        `result` - The result of the build. Never null.

    - #### public void buildStarted(Gradle gradle)

      Called when the build is started.

      Parameters:
        `gradle` - The build which is being started. Never null.

    - #### public void projectsEvaluated(Gradle gradle)

      Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

      Parameters:
        `gradle` - The build which has been evaluated. Never null.

    - #### public void projectsLoaded(Gradle gradle)

      Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

      Parameters:
        `gradle` - The build which has been loaded. Never null.

    - #### public void settingsEvaluated(Settings settings)

      Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

      Parameters:
        `settings` - The settings. Never null.